Subject: RE: SnmpAdminString

From: Andrew Smith <[email-masked]>
Date: Fri, 2 Jul 1999 11:07:02 -0700

I do not think we should make this change - entPhysicalDescr,
entPhysicalName and entLogicalDescr are some of the most widely used objects
in the RFC2037 MIB and it would be painful to deprecate them. By all means
add some new objects to mirror them but don't change the STATUS of these
ones.

Andrew

****************************************************************
Andrew Smith                              tel: +1 (408) 579-2821
Extreme Networks                          fax: +1 (408) 579-3000
3585 Monroe St.                   http://www.extremenetworks.com
Santa Clara CA 95051-1450        em:  [email-masked]
****************************************************************

> -----Original Message-----
> From: Keith McCloghrie [mailto:[email-masked]]
> Sent: Friday, July 02, 1999 1:52 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: 
> 
> 
> Hi,
> 
> For the benefit of internationalization, the IESG is requesting 
> that all MIBs use SnmpAdminString rather than DisplayString.  In
> particular, they are asking that this WG's latest MIB module
> (draft-ietf-entmib-v2-05.txt) use SnmpAdminString instead of
> DisplayString for all objects.
> 
> draft-ietf-entmib-v2-05.txt does use SnmpAdminString rather than
> DisplayString for all relevant objects which are new since RFC 2037,
> but it retains DisplayString for previously defined objects.
> 
> Thus, the IESG is asking that we change the objects defined using
> DisplayString in RFC 2037 so that they are defined using 
> SnmpAdminString.
> 
> It would be simple if we could just change the SYNTAX clause of the
> relevent objects (entPhysicalDescr, entPhysicalName, entLogicalDescr).
> However, RFC 2578 (section 10.1) says:
> 
>  (2)  The value of a SYNTAX clause may be replaced by a textual
>       convention, providing the textual convention is defined 
> to use the
>       same primitive ASN.1 type, has the same set of values, and has
>       identical semantics.
> 
> SnmpAdminString has the same primitive ASN.1 type, and it 
> does have the
> same semantics, but SnmpAdminString has a larger set of values than
> DisplayString.  So, we believe the legality of this is questionable.
> 
> Therefore, the IESG is effectively requesting that we 
> deprecate all the
> objects which use DisplayString, and define a new object for each such
> deprecated object using SnmpAdminString instead.  I believe we
> need WG consensus to make such a change.   So, please provide your
> input on whether you are willing for such a change to be made, and if
> not, then your reasons for opposing it.
> 
> Thanks,
> Keith.
>

---

From: Cliff Sojourner <[email-masked]>
Date: Fri, 02 Jul 1999 12:23:53 -0700

Andrew Smith wrote:
> in the RFC2037 MIB

I would be interested to hear who/what is using those objects.

> and it would be painful to deprecate them. By all means

personally I agree.  I can not speak authoritatively for Cisco but I
know that plenty of Cisco equipment has been deployed with v1 entity-mib
support, with the existing DisplayString objects.

-- 
Cliff Sojourner, Cisco Systems Inc.  [email-masked] 
(408) 527-7637   170 W. Tasman Drive, SJ CA 95134  bldg H2/cube E2-7
Here men from the planet Earth first set foot upon the moon
July 1969 A.D.  We came in peace for all mankind.